ros-jade-roseus-smach (1.6.1-0utopic) utopic; urgency=high

  * Merge smach exec (#507 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/507>)
    * [roseus_smach] rename smach-exec-with-spin -> exec-state-machine
    * [roseus_smach/src/pddl2smach.l] use function namespace to call
  * Contributors: Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 14 Mar 2017 15:00:00 -0000

ros-jade-roseus-smach (1.6.0-0utopic) utopic; urgency=high

  * [roseus/src/state-machine-utils.l] add document string for exec-smach-with-spin
  * [roseus_smach/src/state-machine-utils.l] support y-or-n-p when iterate mode
  * Contributors: Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 01 Oct 2016 15:00:00 -0000

ros-jade-roseus-smach (1.5.3-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 27 May 2016 15:00:00 -0000

ros-jade-roseus-smach (1.5.2-0utopic) utopic; urgency=high

  * [roseus_smach/src/state-machine-utils.l] fix: return after goal reached on exec-smach-with-spin #460 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/460>
  * Remove no need euslisp from build_depend and find_package  #456 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/456>
  * Contributors: Kentaro Wada, Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 27 May 2016 15:00:00 -0000

ros-jade-roseus-smach (1.5.1-0utopic) utopic; urgency=high

  * [roseus_smach/README.md] update to use github official image link
  * Contributors: Furushchev

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 21 Apr 2016 15:00:00 -0000

ros-jade-roseus-smach (1.5.0-0utopic) utopic; urgency=high

  * {roseus_smach, roseus_mongo}/README.md: fix section/subsection
  * [roseus_smach/src/state-machine-utils.l] fix: smach connection from/to nil state
  * Contributors: Kei Okada, Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 19 Mar 2016 15:00:00 -0000

ros-jade-roseus-smach (1.4.1-0utopic) utopic; urgency=high

  * [roseus_smach/src/state-machine.l] another impl for #383 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/383>
  * Contributors: Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 24 Nov 2015 15:00:00 -0000

ros-jade-roseus-smach (1.4.0-0utopic) utopic; urgency=high

  * [roseus_smach] warning message for :goal-state
  * [roseus_smach] add failure nodes addition feature for state-machine generation utils
  * [roseus_smach/sample/parallel-state-machine-sample.l] fix: https://github.com/jsk-ros-pkg/jsk_roseus/issues/324
  * [roseus_smach] fix test launch file extension .launch -> .test; test only required
  * Contributors: Kamada Hitoshi, Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 02 Nov 2015 15:00:00 -0000

ros-jade-roseus-smach (1.3.9-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 13 Sep 2015 15:00:00 -0000

ros-jade-roseus-smach (1.3.8-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 11 Sep 2015 15:00:00 -0000

ros-jade-roseus-smach (1.3.7-0utopic) utopic; urgency=high

  * [README.md] describe how to run smach viewer
  * [sample/state-machine-ros-sample.l, sample/state-machine-sample.l] add shbang
  * [roseus_smach/CMakeLists.txt] disable test/test_parallel_state_machine_sample.launch for now
  * [package.xml] add actionlib_tutorials depends to roseus_smach
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 17 Aug 2015 15:00:00 -0000

ros-jade-roseus-smach (1.3.6-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jun 2015 15:00:00 -0000

ros-jade-roseus-smach (1.3.5-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 14 May 2015 15:00:00 -0000

ros-jade-roseus-smach (1.3.4-0utopic) utopic; urgency=high

  * [roseus_smach] add test for parallel state machine
  * [roseus_smach] add parallel state machine sample test to CMakeLists
  * [roseus_smach] add sample test to CMakeLists
  * [roseus_smach] split sample test in order to inspect failure detail
  * [roseus_smach] change order of roseus in find_package
  * [roseus_smach] move smach-exec function from sample to utils
  * [roseus_smach] fix wrong file/module name
  * [roseus_smach] miscellaneous fixes
  * [roseus_smach] add test launch
  * [roseus_smach] add feature async join
  * [roseus_smach] fix transition fail when parallel state
  * [roseus_smach] add async join state to  state-machine
  * [roseus_smach] fix tmp -> next
  * [roseus_smach] modify state-machine :execute-impl
  * Contributors: Yuki Furuta, Kamada Hitoshi

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 02 May 2015 15:00:00 -0000

ros-jade-roseus-smach (1.3.3-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 28 Apr 2015 15:00:00 -0000

ros-jade-roseus-smach (1.3.2-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 27 Apr 2015 15:00:00 -0000

ros-jade-roseus-smach (1.3.1-0utopic) utopic; urgency=high

  * [roseus_smach/src/state-machine-actionlib.l] support spin action client group, see #274 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/274>
  * [roseus_smach/src/state-machine-utils.l] modify make-state-machine
  * [roseus_smach/src/state-machine-utils.l] add iterative execute state machine util
  * Contributors: Yuki Furuta, Hitoshi Kamada, Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 25 Apr 2015 15:00:00 -0000

ros-jade-roseus-smach (1.3.0-0utopic) utopic; urgency=high

  * [roseus_smach] add docstring for 'make-state-machine' function; add key option to custom exec-result to transit states
  * [roseus_smach] fix sample parallel task transition; fix typo
  * [roseus_smach] fix typo; change image link
  * [roseus_smach] Create README.md add sample image
  * [roseus_smach] add syntax suggar of creating state machine with parallel execution, and its sample code
  * [roseus_smach] add feature: parallel executive state machine, and its visualization stuff
  * [roseus_smach] use soft tab
  * Contributors: Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Apr 2015 15:00:00 -0000

ros-jade-roseus-smach (1.2.6-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 20 Feb 2015 15:00:00 -0000

ros-jade-roseus-smach (1.2.5-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 Feb 2015 15:00:00 -0000

ros-jade-roseus-smach (1.2.4-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 11 Feb 2015 15:00:00 -0000

ros-jade-roseus-smach (1.2.3-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 01 Feb 2015 15:00:00 -0000

ros-jade-roseus-smach (1.2.2-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 26 Jan 2015 15:00:00 -0000

ros-jade-roseus-smach (1.2.1-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 26 Jan 2015 15:00:00 -0000

ros-jade-roseus-smach (1.2.0-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 25 Jan 2015 15:00:00 -0000

ros-jade-roseus-smach (1.1.33-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 25 Jan 2015 15:00:00 -0000

ros-jade-roseus-smach (1.1.32-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 25 Jan 2015 15:00:00 -0000

ros-jade-roseus-smach (1.1.31-0utopic) utopic; urgency=high

  * remove old manifest.xml, fully catkinize
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 22 Jan 2015 15:00:00 -0000

ros-jade-roseus-smach (1.1.30-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 13 Jan 2015 15:00:00 -0000

ros-jade-roseus-smach (1.1.29-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 26 Dec 2014 15:00:00 -0000

ros-jade-roseus-smach (1.1.28-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 25 Dec 2014 15:00:00 -0000

ros-jade-roseus-smach (1.1.27-0utopic) utopic; urgency=high

  * remove cmake file for rosbuild
  * not use executive_smach as deps directly; remove manifest.xml

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 19 Dec 2014 15:00:00 -0000

ros-jade-roseus-smach (1.1.26-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 09 Nov 2014 15:00:00 -0000

ros-jade-roseus-smach (1.1.25-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 09 Oct 2014 15:00:00 -0000

ros-jade-roseus-smach (1.1.23-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 23 Sep 2014 15:00:00 -0000

ros-jade-roseus-smach (1.1.22-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 03 Sep 2014 15:00:00 -0000

ros-jade-roseus-smach (1.1.21-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 29 Jun 2014 15:00:00 -0000

ros-jade-roseus-smach (1.1.20-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 28 Jun 2014 15:00:00 -0000

ros-jade-roseus-smach (1.1.19-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 10 Jun 2014 15:00:00 -0000

ros-jade-roseus-smach (1.1.18-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 15 May 2014 15:00:00 -0000

ros-jade-roseus-smach (1.1.17-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2014 15:00:00 -0000

ros-jade-roseus-smach (1.1.16-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2014 15:00:00 -0000

ros-jade-roseus-smach (1.1.15-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 09 May 2014 15:00:00 -0000

ros-jade-roseus-smach (1.1.14-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 08 May 2014 15:00:00 -0000

ros-jade-roseus-smach (1.1.13-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 05 May 2014 15:00:00 -0000

ros-jade-roseus-smach (1.1.12-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 05 May 2014 15:00:00 -0000

ros-jade-roseus-smach (1.1.11-0utopic) utopic; urgency=high

  * catkinize roseus_smach
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 03 May 2014 15:00:00 -0000

ros-jade-roseus-smach (1.1.10-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 03 May 2014 01:35:00 -0000

ros-jade-roseus-smach (1.1.9-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 03 May 2014 00:30:00 -0000

ros-jade-roseus-smach (1.1.8-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 01 May 2014 15:00:00 -0000

ros-jade-roseus-smach (1.1.7-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 28 Apr 2014 05:29:00 -0000

ros-jade-roseus-smach (1.1.6-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 27 Apr 2014 18:12:00 -0000

ros-jade-roseus-smach (1.1.5-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 26 Apr 2014 15:00:00 -0000

ros-jade-roseus-smach (1.1.4-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 24 Apr 2014 15:00:00 -0000

ros-jade-roseus-smach (1.1.3-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 13 Apr 2014 15:00:00 -0000

ros-jade-roseus-smach (1.1.2-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 07 Apr 2014 14:17:00 -0000

ros-jade-roseus-smach (1.1.1-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 07 Apr 2014 00:02:00 -0000

ros-jade-roseus-smach (1.1.0-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 06 Apr 2014 15:52:00 -0000

ros-jade-roseus-smach (1.0.4-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 30 Mar 2014 15:00:00 -0000

ros-jade-roseus-smach (1.0.3-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 29 Mar 2014 15:00:00 -0000

ros-jade-roseus-smach (1.0.2-0utopic) utopic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 27 Mar 2014 15:00:00 -0000

ros-jade-roseus-smach (1.0.1-0utopic) utopic; urgency=high

  * roseus_smach: disable packages for groovy
  * publish-all-status to state-machine-inspector
  * use-sub-machine to pddl2smach.l
  * modify :reset-state for setting typical state
  * add keywords to pddl-graph-to-smach
  * add smach utility functions
  * fix default option
  * add utility methods to state-machine-inspector
  * add keyword for using userdata in pddl2smach
  * add keyword for changing return value
  * add :readable keyword for pddl2smach
  * fix for working sample
  * remove load command for irtgraph.l
  * update internal data structure for new graph.l
  * publish smach structure once, and latch it
  * add test for roseus_smach samples, fixed the initial state setter method
  * update roseus_smach for set initial state callback
  * add actionlib_tutorials for sample scripts
  * changed to use unreviewed version of irtgraph.l
  * fix smach_structure publish properly timing, add user input action to task_compiler
  * remove old method in roseus_smach
  * move convert script from pddl to smach
  * chenge test function to compare execution results
  * commit for current scripts for demonstration
  * use package:// for loading graph.l
  * change test function for transition, eq -> equal
  * set initial-state = send :start-state
  * add initial-state-cb to roseus_smach
  * add message name to constant in msg definition
  * add ** to msg constant type
  * add function to create state-instance which execute action-client
  * commit current source tree
  * add code for smach_viewer
  * change name smach_roseus -> roseus_smach
  * Contributors: Kei Okada, youhei, Manabu Saito, Xiangyu Chen

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 26 Mar 2014 15:00:00 -0000


